Name:           rtpproxy
Version:        1.2.1
Release:        1%{?dist}
Summary:        A symmetric RTP proxy
Group:          Applications/Internet
License:        BSD
URL:            http://www.rtpproxy.org
Source0:        http://b2bua.org/chrome/site/%{name}-%{version}.tar.gz
Source1:        rtpproxy.sysconfig
Source2:	rtpproxy.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gsm-devel
Requires(pre):  /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service


%description
This is symmetric RTP proxy designed to be used in conjunction with
the SIP Express Router (SER) or any other SIP proxy capable of
rewriting SDP bodies in SIP messages that it processes.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install -D -p -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}


%clean
rm -rf %{buildroot}

%pre
/usr/sbin/useradd -r -c "RTPProxy service"  -d %{_localstatedir}/lib/%{name} -s /sbin/nologin %{name} 2>/dev/null || :

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig  --add %{name} || :
fi


%preun
if [ $1 -eq 0 ]; then
	/sbin/service %{name} stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del %{name} || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README README.remote
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/init.d/%{name}
%{_bindir}/rtpproxy
%{_bindir}/makeann
%{_mandir}/man8/rtpproxy.8*
%dir %{_localstatedir}/lib/%{name}


%changelog
* Sun Nov  1 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1
- Brand new init-script

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 27 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.4.beta.200901120
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.2-0.3.beta.200901120
- Snapshot 1.2.beta.200901120
- Added sysconfig file

* Mon Oct  6 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.2-0.2.alpha.200807211
- Added missing BuildRequires
- Added init-script

* Wed Aug 13 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.2-0.1.alpha.200807211
- Snapshot 1.2.alpha.200807211

* Wed Jun 18 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-1
- Stable ver. 1.1

* Fri May 16 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-0.3.beta.200804031
- Snapshot 20080403.1

* Sat Mar 29 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-0.2.beta.20080226
- Snapshot 20080226
- Drop upstreamed patch

* Fri Feb 15 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.1-0.1.beta.20071218
- Ver. 1.1.beta.20071218 (we need it because openser-1.3.0 works only with it)

* Mon Feb  4 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.0-1
- Ver. 1.0

* Wed Nov 22 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.3-1
- First version for Fedora Extras

